import TitleLength from './TitleLength.js'

export default class TitleLengthTooLong extends TitleLength {
  report() {
    if (this.issueCount == 0) return

    return {
      ...super.report(),
      ...{ issueTitle: `Your title is to long on ${this.issueCount} page${this.issueCount == 1 ? '' : 's'}` }
    }
  }

  test(title) {
    return title.length > this.maxLength
  }
}
